[![build](https://github.com/mikulatomas/fcapsy/actions/workflows/build.yml/badge.svg?branch=main)](https://github.com/mikulatomas/fcapsy/actions/workflows/build.yml?query=branch%3Amain)
[![codecov](https://codecov.io/gh/mikulatomas/fcapsy/branch/main/graph/badge.svg?token=ky2GUW51mj)](https://codecov.io/gh/mikulatomas/fcapsy)

# fcapsy

The `fcapsy` provides experimental implementations of some psychological phenomena (e.g. typicality, basic level) which appears in field of [Cognitive Psychology](https://en.wikipedia.org/wiki/Cognitive_psychology).

Library is based on [Formal Concept Analysis](https://en.wikipedia.org/wiki/Formal_concept_analysis) framework which is provided by great [concepts library](https://github.com/xflr6/concepts).

⚠️ Library is mainly used in research. API can change rapidly.

![logo](https://github.com/mikulatomas/fcapsy/raw/main/logo.png)

## Installation
Package is avaliable in alpha version via `pip`.

```bash
$ pip install fcapsy
```

## Used in papers

> Belohlavek, R., & Mikula, T. (2020). Typicality in Conceptual Structures Within the Framework of Formal Concept Analysis. Proceedings of CLA 2020, 33-45.
http://ceur-ws.org/Vol-2668/paper2.pdf

## Based on papers
> Belohlavek, R., & Trnecka, M. (2020). Basic level of concepts in formal concept analysis 1: formalization and utilization. International Journal of General Systems, 1-18.

> Rice, M. D., & Siff, M. (2001). Clusters, concepts, and pseudometrics. Electronic Notes in Theoretical Computer Science, 40, 323-346.

## Dependencies

fcapsy requires:

* Python (>= 3.6)
* [concepts](https://github.com/xflr6/concepts)
